Subject: EBC access

From: Silwer star <[email-masked]>
Date: Wed, 20 Feb 2008 21:48:42 -0800 (PST)

Hi,

I am working on the PPC 405EX processor with a peripheral attached to the
EBC. I've requested for I/O memory & mapped it using ioremap. The following
are my doubts:

1) How do I ensure that the memory range that I requested is non-cacheable.
I've to work with non-cacheable memory.  I've requested for memory using
request_mem_region( ). 
2) Between any consecutive writes or any consecutive reads, if I introduce a
delay of 500msec, the read/write is completing.  Does this have to do
anything with caching? What could be the  reason for this?

Any help will be appreciated.

Regards,
Silwer Star
-- 
View this message in context: http://www.nabble.com/EBC-access-tp15605219p15605219.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.